<script>
  import Circle from "./_design_2_circle.svelte";
  import { onMount } from "svelte";
  import { json } from "d3-fetch";

  // Size and margins
  const width = 600;
  const height = 250;
  const margin = { top: 10, right: 10, bottom: 10, left: 10 };
  const innerWidth = width - margin.left - margin.right;
  const innerHeight = height - margin.top - margin.bottom;
  let data = null;
  let cities = null;

  onMount(async () => {
    data = await json("/data/daily_heating_cooling.json");
    cities = [...new Set(data.map(d => d.city))]
  });
</script>

{#if !data}
<p>Loading the data, please wait...</p>
{:else}
<svg {width} {height}>
  <g transform="translate({margin.left}, {margin.top})">
    {#each cities as city, index}
      <Circle
        data={data.filter(d => d.city == city)}
        offset={innerWidth / cities.length * (index + 1)}
        city={city}>
      </Circle>
    {/each}
    <text x={innerWidth/3} y={innerHeight - 10}> Yearly Heating and cooling </text>
  </g>
</svg>
{/if}

<style>
  svg {
    border: 1px solid black;
    border-radius: 7px;
  }
</style>
